<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# PHOTOS-FELTOLTOTT                                                #
# Feltöltött fotók listázása                                       #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
if (!$_SESSION['user']) {
    exit();
}
?>

      <div class="alcim">Feltöltött fotók</div>
      <div class="fotosor" style="width:730px;"><nobr>
<?php
  // adatok lekérdezése
    $lekerdezes_fotok = lekerdezes("SELECT * FROM fotok");
    if (ossz_rekord($lekerdezes_fotok)>0) {
      echo "      <table border=0><tr>\n";
      while ($rekord_foto = olvas_asszociativ($lekerdezes_fotok)) {
        $vanilyen = 0;
        for ($i=0;$i<count($kivalasztott);$i++)
          if ($rekord_foto[foto_azon] == $kivalasztott[$i]) $vanilyen = 1;
        if ($vanilyen == 0) {         
          $kepfile = $dir['photos']."/tn_".$rekord_foto[foto_file];
          $kepinfo = GetImageSize($kepfile);
          $kep_x = $kepinfo[0];
          $kep_y = $kepinfo[1];
          $nagykepfile = $dir['photos']."/".$rekord_fotok[foto_file];
          $nagykepinfo = GetImageSize($kepfile);
          echo "        <td align=\"center\" width=\"".$kep_x."\">\n";
          echo "          <img src=\"".$kepfile."\" width=\"".$kep_x."\" height=\"".$kep_y."\" onClick=\"photopopup('".$rekord_foto[foto_azon]."','".$nagykepinfo[0]."','".$nagykepinfo[1]."','')\" class=\"kiskep\" style=\"opacity:1.0;filter:alpha(opacity=100)\" align=\"absmiddle\" onmouseout=\"this.style.opacity=1;this.style.filter='alpha(opacity=100)'\" onMouseOver= \"this.style.opacity=0.4;this.style.filter='alpha(opacity=40)';this.style.cursor='hand';\"><br>\n";
          echo "          <img onClick=\"fotomodosit('".$rekord_foto[foto_azon]."')\" title=\"".ucfirst($szoveg[gomb_modosit])."\" src=\"".$dir['images']."/icon_edit.png\" width=\"16\" height=\"16\" border=\"0\" onMouseOver=\"this.style.cursor='hand';\">\n";
          echo "          <img onClick=\"fototorol('".$rekord_foto[foto_azon]."')\" title=\"".ucfirst($szoveg[torles])."\" src=\"".$dir['images']."/icon_drop.png\" width=\"16\" height=\"16\" border=\"0\" onMouseOver=\"this.style.cursor='hand';\">\n";
          echo "        </td>\n"; 
        }
      }
      echo "      </tr></table>\n";
    }
    else echo "      <div class=\"hiba\">Nincs az adatbázisba fotó feltöltve!</div>\n";
?>
  </nobr></div>
  
<script language="Javascript">
function fototorol(id) {
  if (confirm("Valóban törölni szeretné?"))
    window.location.href = '<?php echo $php."?do=".$mitcsinal."&mode=delete&id=";?>'+id;
}
function fotomodosit(id) {
    window.location.href = '<?php echo $php."?do=".$mitcsinal."&mode=update&id=";?>'+id;
}
</script>

  <div id="photo" title="<?php echo ucfirst($szoveg['bezarklikk']); ?>" onClick="photopopupclose()"></div>
